Package org.eclipse.rdf4j.sail.lmdb.model

## Class LmdbBNode

- java.lang.Object
- - org.eclipse.rdf4j.model.base.AbstractBNode
  - - org.eclipse.rdf4j.model.impl.SimpleBNode
    - - org.eclipse.rdf4j.sail.lmdb.model.LmdbBNode

- All Implemented Interfaces:
    `Serializable`, `BNode`, `Resource`, `Value`, `LmdbResource`, `LmdbValue`

      public class LmdbBNode
      extends SimpleBNode
      implements LmdbResource

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.rdf4j.sail.lmdb.model.LmdbValue

      `UNKNOWN_ID`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LmdbBNode​(ValueStoreRevision revision, long internalID)` |
    `LmdbBNode​(ValueStoreRevision revision, String nodeID)` |
    `LmdbBNode​(ValueStoreRevision revision, String nodeID, long internalID)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` | Compares this blank node to another object.
    `String` | `getID()` | Retrieves this blank node's identifier.
    `long` | `getInternalID()` | Gets the ID that is used in the lmdb store for this Value.
    `ValueStoreRevision` | `getValueStoreRevision()` | Gets the revision of the value store that created this value.
    `protected void` | `init()` |
    `void` | `setID​(String id)` |
    `void` | `setInternalID​(long internalID, ValueStoreRevision revision)` | Sets the ID that is used for this value in a specific revision of the value store.
    `protected Object` | `writeReplace()` |

    - ### Methods inherited from class org.eclipse.rdf4j.model.base.AbstractBNode

      `hashCode, stringValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.BNode

      `isBNode`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Resource

      `isResource`

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `isIRI, isLiteral, isTriple, stringValue`

- - ### Constructor Detail

    - #### LmdbBNode

          public LmdbBNode​(ValueStoreRevision revision,
                           long internalID)

    - #### LmdbBNode

          public LmdbBNode​(ValueStoreRevision revision,
                           String nodeID)

    - #### LmdbBNode

          public LmdbBNode​(ValueStoreRevision revision,
                           String nodeID,
                           long internalID)

  - ### Method Detail

    - #### setInternalID

          public void setInternalID​(long internalID,
                                    ValueStoreRevision revision)

      Description copied from interface: `LmdbValue`
      Sets the ID that is used for this value in a specific revision of the value store.
      Specified by:
        `setInternalID` in interface `LmdbValue`

    - #### getValueStoreRevision

          public ValueStoreRevision getValueStoreRevision()

      Description copied from interface: `LmdbValue`
      Gets the revision of the value store that created this value. The value's internal ID is only valid when it's value store revision is equal to the value store's current revision.
      Specified by:
        `getValueStoreRevision` in interface `LmdbValue`
      Returns:
        The revision of the value store that created this value at the time it last set the value's internal ID.

    - #### getInternalID

          public long getInternalID()

      Description copied from interface: `LmdbValue`
      Gets the ID that is used in the lmdb store for this Value.
      Specified by:
        `getInternalID` in interface `LmdbValue`
      Returns:
        The value's ID, or `LmdbValue.UNKNOWN_ID` if not yet set.

    - #### setID

          public void setID​(String id)

      Overrides:
        `setID` in class `SimpleBNode`

    - #### getID

          public String getID()

      Description copied from interface: `BNode`
      Retrieves this blank node's identifier.
      Specified by:
        `getID` in interface `BNode`
      Overrides:
        `getID` in class `SimpleBNode`
      Returns:
        A blank node identifier.

    - #### init

          protected void init()

    - #### equals

          public boolean equals​(Object o)

      Description copied from interface: `BNode`
      Compares this blank node to another object.
      Specified by:
        `equals` in interface `BNode`
      Overrides:
        `equals` in class `AbstractBNode`
      Parameters:
        `o` - the object to compare this blank node to
      Returns:
        `true`, if the other object is an instance of `BNode` and their IDs are equal; `false`, otherwise.

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Throws:
        `ObjectStreamException`